QGIS Application - Bug report #1977
spatialite layers disappear when enabling reprojection
2009-10-05 09:00 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 12037
Description

Load a [[SpatiaLite]] layer; enable on the fly reprojection; the layer is no longer shown on the canvas. If you load it again, all ok

History

#1 - 2009-10-05 09:07 AM - Jiirgen Fischer

not reproducable here. Are you projecting to the same CRS your data is in?

#2 - 2009-10-05 09:17 AM - Paolo Cavallini

Right - if I do the same in a different projection, this does not appear.

#3 - 2009-10-22 05:39 AM - Giovanni Manghi

| confirm the behaviour with qgis trunk and ubuntu 9.04.

The weird thing is that if OTFR is enabled before (regardless of the CRS) adding the spatialite layer, then it goes everything ok. If is enabled after adding

it, then it disappears.

#4 - 2009-11-11 07:40 PM - Steven Mizuno

I have also noticed this problem. In [[QgsSpatiaLiteProvider]]::select() near the bottom of the function (about line 592) the valid variable is set false on a
failed database request. This may occur if the extent requested is out of bounds for the layer's CRS.

Once valid is false the provider won't return any data.

| believe the valid variable should NOT be set false just because there is an error in the current database request.

| believe #2047 is another manifestation of this.

#5 - 2009-11-29 02:34 AM - Giovanni Manghi

This is still confirmed and | (only) now noticed that this is the same identical problem that we have now also with shapefiles (until a few days ago with
shapefiles worked ok). See #2148.
Resuming:

Add a layer then enable OTFR and choose a crs for the project.

1) If the layer crs is equal to the project crs, than is all ok

2) if the layer crs is different from the project crs than it doesn't show in map canvas

You may also want to try this:

Open a new project, enable OTFR, choose a crs for project and then add a layer

1) Even if the project crs is different from the layer crs it seems to work fine, but...

2) If you then choose another crs for the project (different from the layer crs), then again the layer will not show in map canvas.

| will test also postgis and then repost back.

#6 - 2009-11-29 02:41 AM - Giovanni Manghi

And it is confirmed also for Postgis layers.

#7 - 2009-11-29 02:51 AM - Giovanni Manghi

Well it seems to me that this is no more a data provider problem but instead a projection one. Please not that until a few days ago shapes and postgis

worked fine.

| believe that one among #1977 and #2148 can be closed as duplicate.

#8 - 2009-12-03 02:54 AM - Giovanni Manghi
- Resolution set to fixed
- Status changed from Open to Closed

The fix for #2148 fixed also this one. Thanks.
